function WG_OptionsInitialize()
	WG_LOCKWINDOWText:SetText(WGLOCKBUTTON)
	WG_SCTDISPLAYText:SetText(WGNOTIFYBUTTON)
	WG_SOUNDCHECKText:SetText(WGSOUNDBUTTON)
	WG_CUSTOMSOUNDSETText:SetText(WGCSOUNDBUTTON)
	WG_SYNCMODEText:SetText(WGSYNCBUTTON)
	WG_ENABLEMMBText:SetText(WGMINIMAPBUTTON)
--	WG_AUTOINVITEText:SetText(WGCINVITEBUTTON)
--	WG_SAVEBETWEENText:SetText(WGSBBUTTON)
--	WG_AUTOLEAVEText:SetText(WGLEAVEBUTTON)
	WG_SHOWWINDOWText:SetText(WGSWBUTTON)
	WG_SHOWREMINDERText:SetText(WGSHOWREMINDER)
	WG_AUTOREPLYTIMEText:SetText(WGAUTOREPLYTIME)
end

function WG_OptionsCheckButton_OnClick(self)

	-- Check if the checkbutton is checked or not
	if (self:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
	
	-- Get the ID of the checkbutton
	local checkButtonID = self:GetID();
		
	-- Check which checkbutton was clicked
	if(checkButtonID == 1)then
		WGSettings.lockWindow = self:GetChecked();
	elseif(checkButtonID == 2)then
		WGSettings.SCTDisplay = self:GetChecked();
	elseif(checkButtonID == 3)then
		WGSettings.soundCheck = self:GetChecked();
	elseif(checkButtonID == 4)then
		WGSettings.CustomSoundSet = self:GetChecked();
	elseif(checkButtonID == 5)then
		WGSettings.SyncMode = self:GetChecked();
	elseif(checkButtonID == 6)then
		WGSettings.enableMMB = self:GetChecked();
--	elseif(checkButtonID == 7)then
--		WGSettings.autoInvite = self:GetChecked();
--	elseif(checkButtonID == 8)then
--		WGSettings.UseLast = self:GetChecked();
--	elseif(checkButtonID == 9)then
--		WGSettings.autoLeave = self:GetChecked();
	elseif(checkButtonID == 10)then
		WGSettings.showWindow = self:GetChecked();
	elseif(checkButtonID == 11)then
		WGSettings.showReminder = self:GetChecked();
	elseif(checkButtonID == 12)then
		WGSettings.autoReplyTime = self:GetChecked();
	end
	
	WG_Options_Update()
end

function WG_OptionsFrame_OnShow(self)
--  if(WGSettings.autoLeave==1)then WG_AUTOLEAVE:SetChecked(true)else WG_AUTOLEAVE:SetChecked(false)end
	if(WGSettings.lockWindow==1)then WG_LOCKWINDOW:SetChecked(true)else WG_LOCKWINDOW:SetChecked(false) end
	if(WGSettings.SCTDisplay==1)then WG_SCTDISPLAY:SetChecked(true)else WG_SCTDISPLAY:SetChecked(false) end
	if(WGSettings.soundCheck==1)then WG_SOUNDCHECK:SetChecked(true)else WG_SOUNDCHECK:SetChecked(false) end
	if(WGSettings.CustomSoundSet==1)then WG_CUSTOMSOUNDSET:SetChecked(true)else WG_CUSTOMSOUNDSET:SetChecked(false) end
	if(WGSettings.SyncMode==1)then WG_SYNCMODE:SetChecked(true)else WG_SYNCMODE:SetChecked(false) end
	if(WGSettings.enableMMB==1)then WG_ENABLEMMB:SetChecked(true)else WG_ENABLEMMB:SetChecked(false) end
--	if(WGSettings.autoInvite==1)then WG_AUTOINVITE:SetChecked(true)else WG_AUTOINVITE:SetChecked(false) end
--	if(WGSettings.UseLast==1)then WG_SAVEBETWEEN:SetChecked(true)else WG_SAVEBETWEEN:SetChecked(false) end
--	if(WGSettings.autoLeave==1)then WG_AUTOLEAVE:SetChecked(true)else WG_AUTOLEAVE:SetChecked(false) end
	if(WGSettings.showWindow==1)then WG_SHOWWINDOW:SetChecked(true)else WG_SHOWWINDOW:SetChecked(false) end
	if(WGSettings.showReminder==1)then WG_SHOWREMINDER:SetChecked(true)else WG_SHOWREMINDER:SetChecked(false) end
	if(WGSettings.autoReplyTime==1)then WG_AUTOREPLYTIME:SetChecked(true)else WG_AUTOREPLYTIME:SetChecked(false) end
end

function WG_Options_Update()
	if(WGSettings.showWindow)then
		WG_Window:Show()
	else
		WG_Window:Hide()
	end
	if(WGSettings.enableMMB)then
		Wintergrasper_AdvancedMinimapButton:Show(); 
	else
		Wintergrasper_AdvancedMinimapButton:Hide();
	end
	if(WGSettings.SyncMode)then
		WGAskChannel();
	else
		LeaveChannelByName("WG");
	end
end

function WG_OptionsFrame_SetDefaults()
	WGSettings =
	{
	showWindow=1,
	lockWindow=nil,
	soundCheck=1,
	SCTDisplay=1,
	SyncMode=1,
--	autoInvite=nil,
	CustomSoundSet=nil,
	LastRecorded="0",
	UseLast=nil,
	enabled="ON",
	InProgress=nil,
	TimeSaved="0",
	enableMMB=1,
--	autoLeave=nil,
	showReminder=1,
	autoReplyTime=nil,
	FirstLoad=GetAddOnMetadata("Wintergrasper_Advanced","X-Version"),
	};
	if(IsAddOnLoaded("Wintergrasper_Advanced_LDB") ~= nil)then
		WGSettings.enableMMB = nil
		WGSettings.showWindow = nil
	end
end
