-- LibDataBroker Support for Wintergrasper Advanced

local brokertext  = "Wintergrasper Advanced"

function WGLDB_OnLoad()
WGbroker = LibStub("LibDataBroker-1.1"):NewDataObject(brokertext, {
	type = "data source", 
	text = "N/A", 
	icon = "Interface\\Icons\\INV_Jewelry_Ring_66",
	OnClick = function(self, button)
		if button == "LeftButton" then
			if(WGSettings.SyncMode)then
				if(GetCurrentMapContinent() == 4)then
					WGAskChannel()
					if(WGTimeTillString ~= nil)then
						WGChannelTell(WGTimeTillString)
					end
					if(UnitIsDeadOrGhost("player") ~= 1)then
						WG_ControlCheck()
					end
				else
					WGAskChannel()
				end
			else
				if(GetCurrentMapContinent() == 4)then
					WGTimeTillString = WGConvertTime(GetWintergraspWaitTime())
					if(UnitIsDeadOrGhost("player") ~= 1)then
						WG_ControlCheck()
					end
				else
					print(WGNoSync)
				end
			end
		elseif button == "RightButton" then
			WGAnnounce_TRADE()
		end
	end,
    OnEnter = function(self)
		GameTooltip:SetOwner(self, "ANCHOR_NONE")
		GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT")
		GameTooltip:ClearLines()
		GameTooltip:AddLine("Wintergrasper Advanced",0,1,0)
		GameTooltip:AddLine("------------------------------------",0.7,0.7,1)
		GameTooltip:AddLine(tooltiptextLDB,1,1,1)
		GameTooltip:AddLine(tooltiptextLDB2,1,1,1)
		GameTooltip:Show()
	end,
	OnLeave = function()
		GameTooltip:Hide()
    end,
})
end 